oracle.pgx.config

## Class AbstractGraphConfigBuilder<T extends GraphConfig>

- java.lang.Object
- - oracle.pgx.config.AbstractGraphConfigBuilder<T>

- Type Parameters:
    `T` - which graph configuration object this builder will produce
  Direct Known Subclasses:
    AbstractPgGraphConfigBuilder, FileGraphConfigBuilder, TwoTablesGraphConfigBuilder

      public abstract class AbstractGraphConfigBuilder<T extends GraphConfig>
      extends Object

  base class for graph configuration builder classes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGraphConfigBuilder()` default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractGraphConfigBuilder<T>` | `addEdgeProperty(String name, PropertyType type, Object defaultVal)` Adds an edge property to this builder
    `AbstractGraphConfigBuilder<T>` | `addNodeProperty(String name, PropertyType type, Object defaultVal)` Alias for `addVertexProperty(String, PropertyType, Object)`.
    `AbstractGraphConfigBuilder<T>` | `addVertexProperty(String name, PropertyType type, Object defaultVal)` Add a vertex property to this builder
    `T` | `build()` Build the graph configuration object
    `AbstractGraphConfigBuilder<T>` | `setCreateEdgeIdIndex(boolean create)` Sets the create edge id index flag.
    `AbstractGraphConfigBuilder<T>` | `setCreateEdgeIdMapping(boolean create)` Sets the create edge id mapping.
    `AbstractGraphConfigBuilder<T>` | `setCreateVertexIdIndex(boolean create)` Sets the create vertex ID index flag.
    `AbstractGraphConfigBuilder<T>` | `setCreateVertexIdMapping(boolean create)` Sets the create vertex id mapping flag.
    `AbstractGraphConfigBuilder<T>` | `setDateFormat(String dateFormat)` Sets the date format used for loading and storing the graph.
    `AbstractGraphConfigBuilder<T>` | `setErrorHandlingOnMissedPropKey(OnMismatch action)` Sets the error handling on missed prop key.
    `AbstractGraphConfigBuilder<T>` | `setErrorHandlingOnPropConversion(OnMismatch action)` Sets the error handling on prop conversion.
    `AbstractGraphConfigBuilder<T>` | `setErrorHandlingOnTypeMismatch(OnMismatch action)` Sets the error handling on type mismatch.
    `AbstractGraphConfigBuilder<T>` | `setRefreshIntervalMs(int milliseconds)` Sets the refresh interval in milliseconds

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGraphConfigBuilder

          public AbstractGraphConfigBuilder()

      default constructor

  - ### Method Detail

    - #### addEdgeProperty

          public AbstractGraphConfigBuilder<T> addEdgeProperty(String name,
                                                      PropertyType type,
                                                      Object defaultVal)

      Adds an edge property to this builder
      Parameters:
        `name` - the name of the edge property
        `type` - the type of the edge property
        `defaultVal` - the default value of the edge property (can be `null`)
      Returns:
        this builder

    - #### addNodeProperty

          public AbstractGraphConfigBuilder<T> addNodeProperty(String name,
                                                      PropertyType type,
                                                      Object defaultVal)

      Alias for `addVertexProperty(String, PropertyType, Object)`.
      Parameters:
        `name` -
        `type` -
        `defaultVal` -
      Returns:

    - #### addVertexProperty

          public AbstractGraphConfigBuilder<T> addVertexProperty(String name,
                                                        PropertyType type,
                                                        Object defaultVal)

      Add a vertex property to this builder
      Parameters:
        `name` - the name of the vertex property
        `type` - the type of the vertex property
        `defaultVal` - the default value of the vertex property (can be `null`)
      Returns:
        this builder

    - #### build

          public T build()

      Build the graph configuration object
      Returns:
        the graph configuration object

    - #### setCreateEdgeIdIndex

          public AbstractGraphConfigBuilder<T> setCreateEdgeIdIndex(boolean create)

      Sets the create edge id index flag.
      Parameters:
        `create` - if `true`, a edge ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateEdgeIdMapping

          public AbstractGraphConfigBuilder<T> setCreateEdgeIdMapping(boolean create)

      Sets the create edge id mapping.
      Parameters:
        `create` - if `true`, a edge ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdIndex

          public AbstractGraphConfigBuilder<T> setCreateVertexIdIndex(boolean create)

      Sets the create vertex ID index flag.
      Parameters:
        `create` - if `true`, a vertex ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdMapping

          public AbstractGraphConfigBuilder<T> setCreateVertexIdMapping(boolean create)

      Sets the create vertex id mapping flag.
      Parameters:
        `create` - if `true`, a vertex ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setDateFormat

          public AbstractGraphConfigBuilder<T> setDateFormat(String dateFormat)

      Sets the date format used for loading and storing the graph.
      Parameters:
        `dateFormat` - the date format
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setErrorHandlingOnMissedPropKey

          public AbstractGraphConfigBuilder<T> setErrorHandlingOnMissedPropKey(OnMismatch action)

      Sets the error handling on missed prop key.
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnPropConversion

          public AbstractGraphConfigBuilder<T> setErrorHandlingOnPropConversion(OnMismatch action)

      Sets the error handling on prop conversion.
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnTypeMismatch

          public AbstractGraphConfigBuilder<T> setErrorHandlingOnTypeMismatch(OnMismatch action)

      Sets the error handling on type mismatch.
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setRefreshIntervalMs

          public AbstractGraphConfigBuilder<T> setRefreshIntervalMs(int milliseconds)

      Sets the refresh interval in milliseconds
      Parameters:
        `milliseconds` - the interval in milliseconds
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

Copyright © 2015. All rights reserved.